Bug 3446 - simple mistake in globus_delegation_client_util.c
: simple mistake in globus_delegation_client_util.c
Status: RESOLVED FIXED
: Delegation Service
C Delegation Client
: 4.0.0
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-06-01 15:02 by
Modified: 2005-07-06 13:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-01 15:02:50
It seems obvious that globus_delegation_client_util.c contains a simple mistake
described in the attached patch.  Basically
DelegationFactoryPortType_RequestSecurityToken_register is being called where 
DelegationFactoryPortType_RequestSecurityToken_epr_register should be, and vis vers.

The patch solves a development problem i am having but since i do not know how
to run all tests for wsc i am submitting it as a bug.
------- Comment #1 From 2005-06-01 15:04:03 -------
here is the patch:

Index: globus_delegation_client_util.c
===================================================================
RCS file:
/home/globdev/CVS/globus-packages/ws-delegation/client/c/util/globus_delegation_client_util.c,v
retrieving revision 1.14
diff -u -r1.14 globus_delegation_client_util.c
--- globus_delegation_client_util.c     20 Apr 2005 15:50:30 -0000      1.14
+++ globus_delegation_client_util.c     1 Jun 2005 19:58:14 -0000
@@ -591,18 +591,18 @@

     if(handle->factory)
     {
-        result = DelegationFactoryPortType_RequestSecurityToken_epr_register(
+        result = DelegationFactoryPortType_RequestSecurityToken_register(
             handle->client_handle,
-            &handle->factory_epr,
+            handle->factory,
             &request,
             globus_l_delegation_client_util_delegate_cb,
             handle);
     }
     else
     {
-        result = DelegationFactoryPortType_RequestSecurityToken_register(
+        result = DelegationFactoryPortType_RequestSecurityToken_epr_register(
             handle->client_handle,
-            handle->factory,
+            &handle->factory_epr,
             &request,
             globus_l_delegation_client_util_delegate_cb,
             handle);
------- Comment #2 From 2005-06-06 09:51:20 -------
committed to trunk and gt4 branch